// A simple example sketch to show the display and LED's running on the KiraDev PCB

#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>
#include <IRremote.h>

#define I2C_SDA 04
#define I2C_SCL 14
TwoWire I2Cbus = TwoWire(0);

// Display defines
#define SCREEN_WIDTH    128
#define SCREEN_HEIGHT   32
#define OLED_RESET      -1
#define SCREEN_ADDRESS  0x3C
Adafruit_SSD1306 display(SCREEN_WIDTH, SCREEN_HEIGHT, &I2Cbus, OLED_RESET);

//set up on-board IR receiver
//const int RECV_PIN = 34;
#define receiver 34
IRrecv irrecv(receiver);
decode_results results;   



void setup()
{
   Serial.begin(115200);
   irrecv.enableIRIn(); // enable the receiver

 // initialize RED LED on GPIO33 as an output.
  pinMode(33, OUTPUT);

 // initialize GREEN LED on GPIO12 as an output.
  pinMode(12, OUTPUT);

 // initialize BLUE LED on GPIO02 as an output.
  pinMode(02, OUTPUT);

  // Initialize I2C with our defined pins
  I2Cbus.begin(I2C_SDA, I2C_SCL, 100000);

    pinMode(13, INPUT); // required to use the IR receiver 

  Serial.println("Initialize display");

  // SSD1306_SWITCHCAPVCC = generate display voltage from 3.3V internally
  if(!display.begin(SSD1306_SWITCHCAPVCC, SCREEN_ADDRESS))
  {
    Serial.printf("SSD1306 OLED display failed to initalize.\nCheck that display SDA is connected to pin %d and SCL connected to pin %d\n", I2C_SDA, I2C_SCL);
    while (true);
  }

  Serial.println("Show 'Hello World!' on display");
  display.clearDisplay();
  display.setCursor(0, 0);
  display.setTextSize(2);
  display.setTextColor(SSD1306_WHITE);
  display.print("Hello\nWorld!");
  display.display();
}

void loop()
{
  digitalWrite(33, HIGH); // turn the RED LED on
  delay(500);             // wait for 500 milliseconds
  digitalWrite(33, LOW);  // turn the RED LED off
  delay(500);             // wait for 500 milliseconds

  digitalWrite(12, HIGH); // turn the GREEN LED on
  delay(200);             // wait for 200 milliseconds
  digitalWrite(12, LOW);  // turn the GREEN LED off
  delay(200);             // wait for 200 milliseconds

  digitalWrite(02, HIGH); // turn the BLUE LED on
  delay(100);             // wait for 100 milliseconds
  digitalWrite(02, LOW);  // turn the BLUE LED off
  delay(100);             // wait for 100 milliseconds

if (irrecv.decode(&results))
{
Serial.println(results.value, HEX);
irrecv.resume();
}
}


  
